#
# spec file for package obs-service-kiwi_metainfo_helper
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           obs-service-kiwi_metainfo_helper
Version:        0.0
Release:        lp150.5.1
Summary:        Service for substituting various variables in kiwi recipes
License:        GPL-2.0-or-later
Group:          Development/Tools/Building
Url:            https://build.opensuse.org
Source0:        kiwi_metainfo_helper.service
Source1:        kiwi_metainfo_helper
Source2:        README
Requires:       sed
# For os-release
%if 0%{?is_opensuse}
Requires:       openSUSE-release
%else
Requires:       sles-release
%endif
BuildArch:      noarch

%description
This service can be used during buildtime to gain access to various variables
in kiwi recipes.

%prep
%setup -q -D -T -n .
cp %{SOURCE2} .

%build

%install

mkdir -p %{buildroot}%{_prefix}/lib/obs/service
install -m 0644 %{SOURCE0} %{buildroot}%{_prefix}/lib/obs/service
install -m 0755 %{SOURCE1} %{buildroot}%{_prefix}/lib/obs/service

%files
%doc README
%dir %{_prefix}/lib/obs
%{_prefix}/lib/obs/service

%changelog
* Thu Jan 10 2019 Fabian Vogt <fvogt@suse.com>
- Add %%OS_VERSION_ID(_SP)%% and %%PRETTY_NAME%% (boo#1119378)
* Thu Jan 10 2019 Fabian Vogt <fvogt@suse.com>
- Remove spurious parameter to %%setup -T
- Mention that it's a service in the summary
* Wed Oct 17 2018 Fabian Vogt <fvogt@suse.com>
- Initial commit (fate#326856, bsc#1118103)
